=== wserver/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 5.1 2007/09/12 09:58:44 ddr Exp $
+# $Id: Makefile,v 5.1 2007-09-12 09:58:44 ddr Exp $
 
 include ../tools/Makefile.inc
