=== debian/changelog ===
geneweb (5.02~cvs20091031-8) unstable; urgency=low

  * Don't strip Ocaml bytecode executables on arches where there
    is no native compiler. Closes: #603580

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Jan 2011 20:09:22 +0100

geneweb (5.02~cvs20091031-7) unstable; urgency=low

  * Upgrade to debhelper v7.

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Jul 2010 18:43:13 +0200

geneweb (5.02~cvs20091031-6) unstable; urgency=low

  * Drop extra debian/geneweb.init.old file
  * Add $remote_fs to Required-Stop in geneweb and gwsetup init scripts
  * Bump Standards to 3.9.0 (checked, no change)
  * Force 4-byte, big endian in input_binary_int/output_binary_int
    Closes: #557553 
  * Use dh_lintian to install lintian overrides

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Jul 2010 19:43:20 +0200

geneweb (5.02~cvs20091031-5) unstable; urgency=low

  * Drop the use of a wrapper whose only purpose was wroking with
    a proper umask. Use the --umask option of s-s-d instead

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jan 2010 15:14:36 +0100

geneweb (5.02~cvs20091031-4) unstable; urgency=low

  * Better deal with databases containing whitespaces in postinst
    script. Thanks to Christian Gennerat for reporting this privately.

 -- Christian Perrier <bubulle@debian.org>  Sun, 20 Dec 2009 17:31:28 +0100

geneweb (5.02~cvs20091031-3) unstable; urgency=low

  * Proper quoting of variables in postinst script to prevent
    failures when file or directory names contain spaces.

 -- Christian Perrier <bubulle@debian.org>  Fri, 04 Dec 2009 20:36:07 +0100

geneweb (5.02~cvs20091031-2) unstable; urgency=low

  * Add README.source (copied from samba)
  * Bump debhelper compatibility to 7
  * As a consequence, replace "dh_clean -k" by dh_prep
  * Use 3.0 (quilt) source format
  * Add Vcs-Browser: and Vcs-svn: to debian/control

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Nov 2009 17:58:14 +0100

geneweb (5.02~cvs20091031-1) unstable; urgency=low

  * Release CVS snapshot as upstream didn't release for a while
  * Add 0 and 6 runlevels to Should-Stop in init scripts
  * Update Standards-Version to 3.8.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Oct 2009 19:02:25 +0100

geneweb (5.01-9) unstable; urgency=low

  * First upload for squeeze
  * Upgrade Standards to 3.8.1: /var/run/gwtp has been dealt with
    (see below)
  * debian/patches/014_no-warn-error: disable -warn-error to fix
    a build failure. Closes: #521674
    Thanks to Stéphane Glondu for the patch
  * Lintian fixes:
    - geneweb.postinst: no longer ignore errors (set -e)
    - gwtp.postinst: no longer ignore errors (set -e)
    - gwtp.prerm: no longer ignore errors (set -e)
    - gwsetup.postinst: no longer ignore errors (set -e)
    - control: add ${misc:Depends} to gwtp dependencies
    - gwtp.dirs, add-on/gwtp/cgi/gwtp.cgi: /var/run/gwtp is no
      longer provided in the package but created dynamically by the CGI
      wrapper
  * No longer use iso_639.tab for languages' names. Use
    isoquery output instead. Thanks to Tobias Quatamer for the patch
    Closes: #523161
  * Drop upgrade code from a pre-lenny version in gwtp.prerm. That empties
    that script which is thus removed.

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Apr 2009 11:57:21 +0200

geneweb (5.01-8) unstable; urgency=low

  * Add "-bindir" to gwsetup's invocation in the wrapper script.
    Thanks to Andreas Beckmann for the proposed patch.
    Closes: #500166
  * Remove stupid debugging line in gwtp's CGI script
    Closes: #503849
  * Update Standards to 3.8.0

 -- Christian Perrier <bubulle@debian.org>  Thu, 27 Nov 2008 10:42:56 +0100

geneweb (5.01-7) unstable; urgency=low

  * Unfuzzy Portuguese and Tamil translations that were fuzzy for no
    reason, on the default language entry
  * Updated to Standards: 3.8.0 (checked)
  * [Lintian] Add copy right information to debian/copyright
  * [Lintian] Empty directories removed: usr/lib/menu, usr/share/doc-base

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Jun 2008 19:29:45 +0200

geneweb (5.01-6) unstable; urgency=low

  * Fix watch file as upstream now uses "tgz" as extension

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Feb 2008 19:40:03 +0100

geneweb (5.01-5) unstable; urgency=medium

  * debian/get-iso-codes:
    - Use "--no-run-if-empty" on xargs to avoid rm failing in some cases.
      Thanks to the build daemon from hell by Lucas Nussbaum for
      spotting this. Closes: #465629
  * Fix a typo in README.Debian (s/member os/member of)

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Feb 2008 20:53:47 +0100

geneweb (5.01-4) unstable; urgency=low

  * debian/rules:
    - Install init scripts for all runlevels but 0 and 6 as
      stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/geneweb.init:
    - Add (empty) Should-Start and Should-Stop lines
      as per http://wiki.debian.org/LSBInitScripts
    - Remove runlevels 0 and 6 from the Default-Stop entry.
      Stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/gwsetup.init:
    - Add (empty) Should-Start and Should-Stop lines
      as per http://wiki.debian.org/LSBInitScripts
    - Remove runlevels 0 and 6 from the Default-Stop entry.
      Stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/geneweb.templates.master:
    - Set default value for language to "English" and not "en"
      Closes: #459277

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Jan 2008 12:15:43 +0100

geneweb (5.01-3) unstable; urgency=low

  * debian/get-iso-codes:
    - Delete all 0 size .po files, as pkgstriptranslations in Ubuntu
      throws an error if such files don't contain anything.

 -- Christian Perrier <bubulle@debian.org>  Fri, 19 Oct 2007 20:22:48 +0200

geneweb (5.01-2) unstable; urgency=low

  * Add a "Homepage:" field to debian/control

