=== debian/changelog ===
geneweb (5.02-1) unstable; urgency=low

  * New upstream release. Closes: #611987

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Feb 2011 15:53:58 +0100
