=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Christian Perrier <bubulle@debian.org>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~), ocaml-best-compilers, ocaml (>= 3.04), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf
 Homepage: http://www.geneweb.org/
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/geneweb
@@ -13,10 +13,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},perl5-base, lsb-base (>= 3.0-6)
 Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser
-Suggests: menu (>=2.1.35), gwtp, gwsetup, lynx | www-browser
+Suggests: gwtp, gwsetup, lynx | www-browser
 Priority: optional
 Description: genealogy software with web interface
- Geneweb allows to keep track of ancestral data. It is a powerful
+ Geneweb allows keeping track of ancestral data. It is a powerful
  system for maintaining a set of data about your family history. It
  supports much of the GEDCOM tag system for data storage, and can be
  used either as your primary system for archiving genealogical data,
