## geneweb 6.03

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 PREFIX=/usr
 LANGDIR=$(PREFIX)/share/geneweb
-DOCDIR=$(PREFIX)/share/geneweb/doc
 MANDIR=$(PREFIX)/man/man1
 DESTDIR=distribution
 MANPAGES=ged2gwb.1 gwb2ged.1 gwc.1 gwc2.1 gwu.1 gwd.1 consang.1 gwsetup.1
@@ -17,7 +16,6 @@
 	cd src; $(MAKE) PREFIX=$(PREFIX) all
 	cd ged2gwb; $(MAKE) all
 	cd gwb2ged; $(MAKE) all
-	cd doc; $(MAKE) all
 	cd setup; $(MAKE) all
 	cd gwtp; $(MAKE) all
 
@@ -27,7 +25,6 @@
 	cd src; $(MAKE) PREFIX=$(PREFIX) opt
 	cd ged2gwb; $(MAKE) opt
 	cd gwb2ged; $(MAKE) opt
-	cd doc; $(MAKE) opt
 	cd setup; $(MAKE) opt
 	cd gwtp; $(MAKE) opt
 
@@ -42,20 +39,28 @@
 	cp ged2gwb/ged2gwb $(PREFIX)/bin/ged2gwb$(EXE)
 	cp ged2gwb/ged2gwb2 $(PREFIX)/bin/ged2gwb2$(EXE)
 	cp gwb2ged/gwb2ged $(PREFIX)/bin/gwb2ged$(EXE)
-	mkdir -p $(DOCDIR)
-	cp doc/*.htm $(DOCDIR)/.
-	for i in de en fr it nl sv; do \
-	  mkdir -p $(DOCDIR)/$$i; \
-	  cp doc/$$i/*.htm $(DOCDIR)/$$i/.; \
-	done
-	mkdir -p $(DOCDIR)/images
-	cp doc/images/*.jpg doc/images/gwlogo.png $(DOCDIR)/images/.
 	mkdir -p $(LANGDIR)/lang
 	cp hd/lang/*.txt $(LANGDIR)/lang/.
 	mkdir -p $(LANGDIR)/images
 	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(LANGDIR)/images/.
 	mkdir -p $(LANGDIR)/etc
 	cp hd/etc/*.txt $(LANGDIR)/etc/.
+	mkdir -p $(LANGDIR)/etc/templa
+	mkdir -p $(LANGDIR)/etc/templb
+	mkdir -p $(LANGDIR)/etc/templc
+	mkdir -p $(LANGDIR)/etc/templd
+	mkdir -p $(LANGDIR)/etc/templf
+	mkdir -p $(LANGDIR)/etc/templh
+	mkdir -p $(LANGDIR)/etc/templm
+	mkdir -p $(LANGDIR)/etc/templm/my_base
+	cp hd/etc/templa/*.txt $(LANGDIR)/etc/templa/.
+	cp hd/etc/templb/*.txt $(LANGDIR)/etc/templb/.
+	cp hd/etc/templc/*.txt $(LANGDIR)/etc/templc/.
+	cp hd/etc/templd/*.txt $(LANGDIR)/etc/templd/.
+	cp hd/etc/templf/*.txt $(LANGDIR)/etc/templf/.
+	cp hd/etc/templh/*.txt $(LANGDIR)/etc/templh/.
+	cp hd/etc/templm/*.txt $(LANGDIR)/etc/templm/.
+	cp hd/etc/templm/my_base/*.txt $(LANGDIR)/etc/templm/my_base/.
 	mkdir -p $(MANDIR)
 	cd man; cp $(MANPAGES) $(MANDIR)/.
 
@@ -113,9 +118,7 @@
 	cp setup/lang/*.htm $(DESTDIR)/gw/setup/lang/.
 	cp setup/lang/lexicon.txt $(DESTDIR)/gw/setup/lang/.
 	cp setup/gwsetup $(DESTDIR)/gw/gwsetup$(EXE)
-	for i in README LISEZMOI; do \
-	  cat etc/$$i.distrib.txt >> $(DESTDIR)/$$i.txt; \
-	done
+	cat etc/README.distrib.txt >> $(DESTDIR)/README.txt; \
 	cp LICENSE $(DESTDIR)/LICENSE.txt
 	cp etc/START.htm $(DESTDIR)/.
 	echo "127.0.0.1" > $(DESTDIR)/gw/only.txt
@@ -125,7 +128,6 @@
 	$(RM) -rf $(DESTDIR)
 	mkdir $(DESTDIR)
 	cp CHANGES $(DESTDIR)/CHANGES.txt
-	cp LICENSE $(DESTDIR)/LICENSE.txt
 	cp src/gwc $(DESTDIR)/gwc$(EXE)
 	cp src/gwc1 $(DESTDIR)/gwc1$(EXE)
 	cp src/gwc2 $(DESTDIR)/gwc2$(EXE)
@@ -134,36 +136,37 @@
 	cp src/gwu $(DESTDIR)/gwu$(EXE)
 	cp src/update_nldb $(DESTDIR)/update_nldb$(EXE)
 	cp ged2gwb/ged2gwb $(DESTDIR)/ged2gwb$(EXE)
+	cp ged2gwb/ged2gwb2 $(DESTDIR)/ged2gwb2$(EXE)
 	cp gwb2ged/gwb2ged $(DESTDIR)/gwb2ged$(EXE)
 	mkdir $(DESTDIR)/gwtp_tmp
 	mkdir $(DESTDIR)/gwtp_tmp/lang
 	cp gwtp/gwtp $(DESTDIR)/gwtp_tmp/gwtp$(EXE)
 	cp gwtp/README $(DESTDIR)/gwtp_tmp/.
 	cp gwtp/lang/*.txt $(DESTDIR)/gwtp_tmp/lang/.
-	cp etc/LISEZMOI.txt $(DESTDIR)/.
-	cp etc/README.txt $(DESTDIR)/.
 	cp etc/INSTALL.htm $(DESTDIR)/.
 	cp etc/a.gwf $(DESTDIR)/.
-	mkdir $(DESTDIR)/doc
-	mkdir $(DESTDIR)/doc/wdoc
-	cp doc/*.htm $(DESTDIR)/doc/.
-	cp doc/wdoc/*.txt $(DESTDIR)/doc/wdoc/.
-	for i in de en fr it nl sv; do \
-	  mkdir $(DESTDIR)/doc/$$i; \
-	  mkdir $(DESTDIR)/doc/wdoc/$$i; \
-	  cp doc/$$i/*.htm $(DESTDIR)/doc/$$i/.; \
-	  if test -d "doc/wdoc/$$i"; then cp doc/wdoc/$$i/*.txt $(DESTDIR)/doc/wdoc/$$i/.; fi; \
-	done
-	mkdir $(DESTDIR)/doc/images
-	cp doc/images/*.jpg doc/images/gwlogo.png $(DESTDIR)/doc/images/.
 	mkdir $(DESTDIR)/lang
 	cp hd/lang/*.txt $(DESTDIR)/lang/.
 	mkdir $(DESTDIR)/images
 	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(DESTDIR)/images/.
 	mkdir $(DESTDIR)/etc
 	cp hd/etc/*.txt $(DESTDIR)/etc/.
-	mkdir $(DESTDIR)/css
-	cp hd/css/*.css $(DESTDIR)/css/.
+	mkdir -p $(DESTDIR)/etc/templa
+	mkdir -p $(DESTDIR)/etc/templb
+	mkdir -p $(DESTDIR)/etc/templc
+	mkdir -p $(DESTDIR)/etc/templd
+	mkdir -p $(DESTDIR)/etc/templf
+	mkdir -p $(DESTDIR)/etc/templh
+	mkdir -p $(DESTDIR)/etc/templm
+	mkdir -p $(DESTDIR)/etc/templm/my_base
+	cp hd/etc/templa/*.txt $(DESTDIR)/etc/templa/.
+	cp hd/etc/templb/*.txt $(DESTDIR)/etc/templb/.
+	cp hd/etc/templc/*.txt $(DESTDIR)/etc/templc/.
+	cp hd/etc/templd/*.txt $(DESTDIR)/etc/templd/.
+	cp hd/etc/templf/*.txt $(DESTDIR)/etc/templf/.
+	cp hd/etc/templh/*.txt $(DESTDIR)/etc/templh/.
+	cp hd/etc/templm/*.txt $(DESTDIR)/etc/templm/.
+	cp hd/etc/templm/my_base/*.txt $(DESTDIR)/etc/templm/my_base/.
 
 windows_files:
 	@for i in distribution/*.txt distribution/gw/*.txt; do \
@@ -180,7 +183,6 @@
 	cd src; $(MAKE) clean
 	cd ged2gwb; $(MAKE) clean
 	cd gwb2ged; $(MAKE) clean
-	cd doc; $(MAKE) clean
 	cd setup; $(MAKE) clean
 	cd gwtp; $(MAKE) clean
 	$(RM) -rf $(DESTDIR)
