=== debian/changelog ===
geneweb (6.03-1) unstable; urgency=low

  * New upstream version. Closes: #651874
  * Change default for running gwsetup at boot
    Closes: #500165

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Dec 2011 20:22:30 +0100
